from logging import DEBUG
from logging import Formatter
from logging import StreamHandler
from logging import getLogger


def setup_logger():
    logger = getLogger(__name__)
    logger.setLevel(DEBUG)
    stream_handler = StreamHandler()
    stream_handler.setLevel(DEBUG)
    handler_format = Formatter("%(asctime)s - %(levelname)s - %(message)s")
    stream_handler.setFormatter(handler_format)
    logger.addHandler(stream_handler)

    return logger
